Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1575156 - ownCloud client exhausts inotify resources
Summary: ownCloud client exhausts inotify resources
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: owncloud-client
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nikos Roussos
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-04 22:54 UTC by Miro Hrončok
Modified: 2019-10-30 11:26 UTC (History)
5 users (show)

Fixed In Version: owncloud-client-2.5.4-1.fc29 owncloud-client-2.5.4-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-21 00:24:11 UTC
Type: Bug


Attachments (Terms of Use)

Description Miro Hrončok 2018-05-04 22:54:10 UTC
Description of problem:
When ownCloud client is running, my inotify resources are exhausted.

Version-Release number of selected component (if applicable):
owncloud-client-2.4.0-2.fc28.x86_64

How reproducible: consistently with my account and data


Steps to Reproduce:
1. run owncloud client
2. run tail -f <somefile>

Actual results:
tail: inotify resources exhausted
tail: inotify cannot be used, reverting to polling

Expected results:
inotify resources should not be exhausted

Additional info:
Thunar fails to refresh files in an opened window and that makes it unusable. 
Evince doesn't refresh files automatically when rebuilt (e.g. with TeX).
This has been affecting my system for a logn time and I assumed something si wrong but couldn't figure out what. Until I run tail -f and I've seen that message.

See also: https://github.com/owncloud/client/issues/4107

Comment 1 Miro Hrončok 2018-12-02 00:12:16 UTC
Please?

Comment 2 Miro Hrončok 2019-01-23 15:20:37 UTC
Pretty please?

Comment 3 Ben Cotton 2019-05-02 19:58:40 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora Update System 2019-06-12 22:06:05 UTC
FEDORA-2019-ef6888db9a has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-ef6888db9a

Comment 5 Fedora Update System 2019-06-13 00:56:11 UTC
owncloud-client-2.5.4-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-0264731d01

Comment 6 Fedora Update System 2019-06-13 02:31:16 UTC
owncloud-client-2.5.4-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-ef6888db9a

Comment 7 Fedora Update System 2019-06-21 00:24:11 UTC
owncloud-client-2.5.4-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2019-06-22 01:03:01 UTC
owncloud-client-2.5.4-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.